import { ComponentProps, ReactNode, JSX } from 'react';
import * as mapbox_gl from 'mapbox-gl';
import { LngLatLike, MapOptions } from 'mapbox-gl';
import { C as CustomLayer } from './mapbox-three-C01GoEU6.js';
import 'three';

declare function MapboxCustomLayerInternal({ children, anchor, renderingMode, }: {
    children?: ReactNode;
    anchor: LngLatLike;
    renderingMode?: "2d" | "3d";
}): JSX.Element;
declare function MapboxCustomLayer(props: ComponentProps<typeof MapboxCustomLayerInternal>): JSX.Element;

declare function _MapboxMap({ children, options, }: {
    children?: ReactNode;
    options?: Omit<MapOptions, "container">;
}): JSX.Element;
declare function MapboxMap(props: ComponentProps<typeof _MapboxMap>): JSX.Element;

declare function useCustomLayer(): CustomLayer | null;

declare function useMap(): mapbox_gl.Map | null;

export { MapboxCustomLayer, MapboxMap, useCustomLayer, useMap };
